Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 79023 - *Class View* reduce time spent in updating tree for large projects
*Class View* reduce time spent in updating tree for large projects
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Navigation
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
classview waive
: USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-24 11:48 UTC by Vladimir Kvashin
Modified: 2013-05-17 14:00 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2006-06-24 11:48:47 UTC
For large projects with plain classes lists (without namespaces), if class view
is open, then initial project parsing is slowered down noticeably.
Comment 1 Vladimir Kvashin 2006-10-30 22:43:26 UTC
For really large projects, such as MySQL, class view spend really huge amount of
time in updates. On my laptop, it takes thrice more to parse MySQL when class
view pane is open, than with class view closed.
Comment 2 Jesse Grodnik 2006-11-14 19:15:13 UTC
Waive for first release
Comment 3 Alexander Simon 2006-11-21 08:13:40 UTC
Fixed in branch:

Tag: iz_79023_dev
Modified:
   cnd/classview/src/org/netbeans/modules/cnd/classview/ClassViewUpdater.java
   cnd/classview/src/org/netbeans/modules/cnd/classview/ClassViewModel.java
   cnd/classview/src/org/netbeans/modules/cnd/classview/ClassView.java
Comment 4 Alexander Simon 2007-02-13 16:16:40 UTC
fixed two months ago
Comment 5 dnikitin 2008-01-31 19:31:06 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo